$(document).ready(function()
{
    /* Add an item. */
    $(document).on('click', '.add', function()
    {
        $(this).parent().parent().after(v.itemRow);
        rebuildLevel();
        $('html').animate({scrollTop: document.body.clientHeight});
    })

    /* Remove an item. */
    $(document).on('click', '.remove', function()
    {
        if($('.remove').size() == 1)
        {
            $(this).parents('tr').find('input').val('');
            return;
        }
        $(this).parent().parent().remove();
        rebuildLevel();
    })
});

function rebuildLevel()
{
    $('.level-index').each(function(index)
    {
        $(this).text(v.level + (index + 1));
    })
}
